Subject: Re: cat and binary files
From: [email-masked] ("Mikey")

10 Apr 1997 19:25:26 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: "Tim Iverson" <[email-masked]>
Original-Cc: "cygnus" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1155
Original-Sender: [email-masked]

Rebuilding would only fail miserably, IF you didn't reinstall your headers,
and source, after remounting with -b, UNIX, which gnu-win32 is supposed to
be an emulation of, dosen't recognize CR as a necessary line delimiter, nor
does it recognize in line EOF characters like ^Z.

So if you want the tools to act like they do under unix, you should
probably provide an environment as close to unix's as possible.

> BTW, I wouldn't recommend using binary mode.  I tried that briefly and
> found that rebuilding will fail rather miserably.
> 
writes:
> | >cat seems to stop before the end of input - I assume at an end of file
> | >character.  cat --help doesn't offer a binary flag.  How can I cat
> | 
> | Use the 'mount' command with the '-b' option to make sure that the
> ...
> | can be set to 1 to turn on the behavior where all files are treated as
> | binary (recommended).
> -

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".